> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getasset.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Create a note against a journal entry

> **Scopes:** `journal_entry:create`



## OpenAPI

````yaml /api-reference/openapi.json post /v0/business/{business_id}/journal-entries/{journal_entry_id}/notes
openapi: 3.1.0
info:
  title: Asset API
  version: '0.1'
servers:
  - url: https://api.sandbox.getasset.com
    description: Sandbox
  - url: https://api.getasset.com
    description: Production
security: []
paths:
  /v0/business/{business_id}/journal-entries/{journal_entry_id}/notes:
    post:
      tags:
        - Journal Entry
      summary: Create a note against a journal entry
      description: '**Scopes:** `journal_entry:create`'
      operationId: >-
        create_journal_entry_note_v0_business__business_id__journal_entries__journal_entry_id__notes_post
      parameters:
        - name: business_id
          in: path
          required: true
          schema:
            description: The id of the business
            examples:
              - biz_GA6EG2qFxA97NZHtxeLPUy
            type: string
            format: biz_string
            title: Business Id
          description: The id of the business
        - name: journal_entry_id
          in: path
          required: true
          schema:
            description: The id of the journal entry
            examples:
              - je_R2fAXCjqJPdpYata112zyW
            type: string
            format: je_string
            title: Journal Entry Id
          description: The id of the journal entry
        - name: x-user-id
          in: header
          required: false
          schema:
            anyOf:
              - type: string
              - type: 'null'
            description: Optional external entity identifier that performed the action
            title: X-User-Id
          description: Optional external entity identifier that performed the action
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/JournalEntryNoteCreate'
      responses:
        '201':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/JournalEntryNoteSuccess'
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Unprocessable Content
        '503':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ErrorResponse'
          description: Service Unavailable
      security:
        - OAuth2PasswordBearer:
            - journal_entry:create
components:
  schemas:
    JournalEntryNoteCreate:
      properties:
        message:
          type: string
          title: Message
          description: The message of the note
        task_id:
          anyOf:
            - type: string
              format: tsk_string
            - type: 'null'
          title: Task Id
          description: Optional task id to mark as completed after the note is created
          examples:
            - tsk_R2fAXCjqJPdpYata112zyW
      type: object
      required:
        - message
      title: JournalEntryNoteCreate
    JournalEntryNoteSuccess:
      properties:
        data:
          $ref: '#/components/schemas/NotePublic'
      type: object
      required:
        - data
      title: JournalEntryNoteSuccess
    ErrorResponse:
      properties:
        error:
          anyOf:
            - type: string
            - type: 'null'
          title: Error
          description: A description of the error
        data:
          title: Data
          description: Data associated with the error
      type: object
      required:
        - error
        - data
      title: ErrorResponse
    NotePublic:
      properties:
        journal_entry_id:
          type: string
          format: je_string
          title: Journal Entry Id
          description: The ID of the associated Journal Entry
          examples:
            - je_WQMDNUHpBThYSNh4AprDBo
        message:
          type: string
          title: Message
          description: The message of the note
        user:
          anyOf:
            - type: string
            - type: 'null'
          title: User
          description: The user who created the note
        id:
          type: string
          format: nt_string
          title: Id
          description: The ID of the Note
          examples:
            - nt_R2fAXCjqJPdpYata112zyW
        created_at:
          type: string
          format: date-time
          title: Created At
          description: The date and time the note was created
          examples:
            - '2023-03-01T12:00:00Z'
      type: object
      required:
        - journal_entry_id
        - message
        - user
        - id
        - created_at
      title: NotePublic
  securitySchemes:
    OAuth2PasswordBearer:
      type: oauth2
      flows:
        password:
          scopes: {}
          tokenUrl: /v0/auth/token

````